Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.databeans
Class ToolBarButton

    java.lang.Object
      |
      +--oracle.jbo.html.databeans.ToolBarButton

public class ToolBarButton
extends java.lang.Object

Field Summary
`protected ToolBarButtonContainer` | `container`
`protected boolean` | `isButtonVisible`
`protected int` | `nCommand`
`protected int` | `nType`
`protected java.lang.String` | `sCommandUrl`
`protected java.lang.String` | `sDisabledImageUrl`
`protected java.lang.String` | `sImageUrl`
`protected java.lang.String` | `sRolloverImageUrl`
`protected java.lang.String` | `sTargetUrl`
`protected java.lang.String` | `sTooltipText`

Constructor Summary
`ToolBarButton()` Constructor
`ToolBarButton(int nType)` Constructor

Method Summary
`int` | `getButtonType()`
`int` | `getCommandId()`
`java.lang.String` | `getCommandUrl()`
`java.lang.String` | `getDisabledImageUrl()`
`java.lang.String` | `getImageUrl()`
`java.lang.String` | `getRolloverImageUrl()`
`java.lang.String` | `getTargetUrl()`
`java.lang.String` | `getToolTipText()`
`boolean` | `isButtonVisible()`
`boolean` | `isEnabled()`
`void` | `setButtonVisible(boolean bSet)`
`void` | `setCommandId(int nCommand)`
`void` | `setCommandUrl(java.lang.String sUrl)`
`void` | `setContext(ToolBarButtonContainer container)`
`void` | `setDisabledImageUrl(java.lang.String sUrl)`
`void` | `setImageUrl(java.lang.String sUrl)`
`void` | `setRolloverImageUrl(java.lang.String sUrl)`
`void` | `setTargetUrl(java.lang.String sUrl)`
`void` | `setToolTipText(java.lang.String sText)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nType

    protected int nType

### nCommand

    protected int nCommand

### sImageUrl

    protected java.lang.String sImageUrl

### sDisabledImageUrl

    protected java.lang.String sDisabledImageUrl

### sRolloverImageUrl

    protected java.lang.String sRolloverImageUrl

### sCommandUrl

    protected java.lang.String sCommandUrl

### sTooltipText

    protected java.lang.String sTooltipText

### sTargetUrl

    protected java.lang.String sTargetUrl

### container

    protected ToolBarButtonContainer container

### isButtonVisible

    protected boolean isButtonVisible

Constructor Detail

### ToolBarButton

    public ToolBarButton(int nType)

  Constructor

### ToolBarButton

    public ToolBarButton()

  Constructor

Method Detail

### getButtonType

    public int getButtonType()

### setButtonVisible

    public void setButtonVisible(boolean bSet)

### isButtonVisible

    public boolean isButtonVisible()

### setCommandId

    public void setCommandId(int nCommand)

### getCommandId

    public int getCommandId()

### setImageUrl

    public void setImageUrl(java.lang.String sUrl)

### getImageUrl

    public java.lang.String getImageUrl()

### setDisabledImageUrl

    public void setDisabledImageUrl(java.lang.String sUrl)

### getDisabledImageUrl

    public java.lang.String getDisabledImageUrl()

### setRolloverImageUrl

    public void setRolloverImageUrl(java.lang.String sUrl)

### getRolloverImageUrl

    public java.lang.String getRolloverImageUrl()

### setCommandUrl

    public void setCommandUrl(java.lang.String sUrl)

### getCommandUrl

    public java.lang.String getCommandUrl()

### setTargetUrl

    public void setTargetUrl(java.lang.String sUrl)

### getTargetUrl

    public java.lang.String getTargetUrl()

### setToolTipText

    public void setToolTipText(java.lang.String sText)

### getToolTipText

    public java.lang.String getToolTipText()

### setContext

    public void setContext(ToolBarButtonContainer container)

### isEnabled

    public boolean isEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD